> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group

> Get information of a specific group

## Description

This endpoint returns detailed information of a specific group.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique session ID
</ParamField>

<ParamField path="id" type="string" required>
  Group ID in format `120363XXXXX@g.us`
</ParamField>

## Response

<ResponseField name="id" type="string">
  ID of the group
</ResponseField>

<ResponseField name="subject" type="string">
  Name/subject of the group
</ResponseField>

<ResponseField name="participants" type="array">
  Array of participants of the group
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "id": "120363XXXXX@g.us",
    "subject": "My Group",
    "creation": 1234567890,
    "participants": [
      {
        "id": "5511999999999@s.whatsapp.net",
        "isAdmin": true
      }
    ]
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Group returned successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `404` - Group not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const groupId = '120363XXXXX@g.us';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/${groupId}`);
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  group_id = '120363XXXXX@g.us'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/groups/{group_id}')
  data = response.json()
  print(data)
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/groups/{id}
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/groups/{id}:
    get:
      tags:
        - 👥 Groups
      summary: Get group
      description: The {session} parameter must be the session's instanceName.
      operationId: GroupsController_getGroup
      parameters:
        - name: id
          required: true
          in: path
          description: ID do Grupo
          example: 123123123@g.us
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````